Halide 22.0.0 Halide compiler and libraries

Loading...
Searching...
No Matches
Public Attributes | List of all members
Halide::Internal::Autoscheduler::Adams2019Params Struct Reference

`#include <CostModel.h>`

## Public Attributes
int | parallelism = 16
| Maximum level of parallelism available.
int | beam_size = 32
| Beam size to use in the beam search.
int | random_dropout = 100
| percent chance of accepting each state in the beam.
int | random_dropout_seed = 0
| Random seed used by the random dropout.
std::string | weights_path
| When training or schedule, read weights from this directory or file.
int | disable_subtiling = 0
| If set to nonzero value: limits the search space to that of Mullapudi et al.
int | disable_memoized_features = 0
| If set to nonzero value: features of possible schedules are always recalculated, and are not cached across passes.
int | disable_memoized_blocks = 0
| If set to nonzero value: tiling sizes are not cached across passes.
int64_t | memory_limit = -1
| If >= 0, only consider schedules that allocate at most this much memory (measured in bytes).

## Detailed Description

Definition at line 19 of file CostModel.h.

## Member Data Documentation

## ◆ parallelism

int Halide::Internal::Autoscheduler::Adams2019Params::parallelism = 16

Maximum level of parallelism available.

Definition at line 21 of file CostModel.h.

## ◆ beam_size

int Halide::Internal::Autoscheduler::Adams2019Params::beam_size = 32

Beam size to use in the beam search.

Defaults to 32. Use 1 to get a greedy search instead. Formerly HL_BEAM_SIZE

Definition at line 25 of file CostModel.h.

## ◆ random_dropout

int Halide::Internal::Autoscheduler::Adams2019Params::random_dropout = 100

percent chance of accepting each state in the beam.

Normalized by the number of decisions made, so 5 would be there's a 5 percent chance of never rejecting any states. Formerly HL_RANDOM_DROPOUT

Definition at line 30 of file CostModel.h.

## ◆ random_dropout_seed

int Halide::Internal::Autoscheduler::Adams2019Params::random_dropout_seed = 0

Random seed used by the random dropout.

If 0, use time(). Formerly HL_SEED

Definition at line 34 of file CostModel.h.

## ◆ weights_path

std::string Halide::Internal::Autoscheduler::Adams2019Params::weights_path

When training or schedule, read weights from this directory or file.

(If path ends in `.weights` it is written as a single file, otherwise a directory of files.) Formerly HL_WEIGHTS_DIR

Definition at line 39 of file CostModel.h.

## ◆ disable_subtiling

int Halide::Internal::Autoscheduler::Adams2019Params::disable_subtiling = 0

If set to nonzero value: limits the search space to that of Mullapudi et al.

Formerly HL_NO_SUBTILING

Definition at line 43 of file CostModel.h.

## ◆ disable_memoized_features

int Halide::Internal::Autoscheduler::Adams2019Params::disable_memoized_features = 0

If set to nonzero value: features of possible schedules are always recalculated, and are not cached across passes.

Formerly HL_DISABLE_MEMOIZED_FEATURES

Definition at line 47 of file CostModel.h.

Referenced by Halide::Internal::Autoscheduler::CachingOptions::MakeOptionsFromParams().

## ◆ disable_memoized_blocks

int Halide::Internal::Autoscheduler::Adams2019Params::disable_memoized_blocks = 0

If set to nonzero value: tiling sizes are not cached across passes.

Formerly HL_DISABLE_MEMOIZED_BLOCKS

Definition at line 51 of file CostModel.h.

Referenced by Halide::Internal::Autoscheduler::CachingOptions::MakeOptionsFromParams().

## ◆ memory_limit

int64_t Halide::Internal::Autoscheduler::Adams2019Params::memory_limit = -1

If >= 0, only consider schedules that allocate at most this much memory (measured in bytes).

Formerly HL_AUTOSCHEDULE_MEMORY_LIMIT

Definition at line 55 of file CostModel.h.

The documentation for this struct was generated from the following file:

- src/autoschedulers/adams2019/CostModel.h